import { HttpClient } from "@angular/common/http";
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { ApiVisa } from '../../shared';
import { SysAdminModel } from '../../../../../../models/aggregates/sysAdmin/app-system-adminstrator.model';
export declare class SysAdminService extends BaseApiTemplateService<SysAdminModel> {
    readonly url: string;
    constructor(http: HttpClient);
    deleteSysadmin(linkGuid: string, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getAllSysadmin(apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getByGuidSysadmin(linkGuid: string, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    checkUserByEmailForSysAdmin(email: string, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    sendInviationtoJoinAsSysadmin(request: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
}
